> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List endpoints

List all endpoints for an application. Signing secrets are masked.

` GET /applications/{appId}/endpoints `

List endpoints

List all endpoints for an application. Signing secrets are masked.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` appId ` (path, required)

Application ID

- ` value `: type ` string ` — Application ID

  - example: ` "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6" `

  - minLength: ` 1 `

Example:

```json
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"
```

## Responses

### ` 200 ` — List of endpoints

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` endpoints `

  - ` endpoints `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` org_id `, ` env_id `, ` application_id `, ` url `, ` description `, ` signing_algorithm `, ` status `, ` filter_types `, ` rate_limit_per_second `, ` expires_at `, ` created_at `, ` updated_at `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` application_id `: type ` string `

      - ` url `: type ` string `

      - ` description `: type ` string `; nullable

      - ` signing_algorithm `: type ` string `

      - ` status `: type ` string `

      - ` filter_types `: type ` string `; nullable

      - ` rate_limit_per_second `: type ` integer `; nullable

      - ` expires_at `: type ` string `; nullable

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/endpoints' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/endpoints', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/endpoints', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/applications/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/endpoints", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```